Subject: Re: bug#74748: Constructor created by define-configuration is slow (>25s) when many fields are defined

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Apr 2025 10:25:39 +0200

Hi,

Tomas Volf <[email-masked]> writes:

> I admit I did not test the patch attached, but my understanding is that
> even if the speed up was sufficient, it would take effect only for
> compilation via the make command.

No, (guix build compile) is also used by (guix self), which is what
‘guix pull’ & co. use.

I pushed the patch as 5b158ddca9425d79ea4ceb374003fe0f7e6bd336, it can
only be beneficial.

> The actual problem for me was the slowness in REPL.  Would that be
> addressed by the patch above?  If not, do we have any way to do that?

At the REPL you could type:

  ,o optimization-level 1

You could use ‘repl-option-set!’ from ~/.guile somehow I guess.

Thanks,
Ludo’.